<!-- K8s -->
<div class="app-modal">
  <div class="app-modal-header bg-dark">
    K8s
    <i class="fa-solid fa-circle-info ms-2 text-white" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-title="These configurations are used by Strapper to write a `.kube/config` to determine the k8s context to deploy app resources onto"></i>
  </div>
  <div class="app-modal-body">

    <!-- Info display -->
    <div class="k8s-info">
      <div class="row my-1">
        <strong class="col col-md-3">K8s URL</strong>
        <pre class="col col-md-9 mb-0">{% if k8s_config.k8s_server_url %}{{ k8s_config.k8s_server_url }}{% else %}Not set{% endif %}</pre>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">K8s client key</strong>
        <pre class="col col-md-9 mb-0">{% if k8s_config.k8s_client_key %}{{ k8s_config.k8s_client_key }}{% else %}Not set{% endif %}</pre>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">K8s client certificate</strong>
        <pre class="col col-md-9 mb-0">{% if k8s_config.k8s_client_certificate %}{{ k8s_config.k8s_client_certificate }}{% else %}Not set{% endif %}</pre>
      </div>
      <button type="button" class="btn btn-outline-dark btn-sm mt-3 edit-btn">Edit</button>
    </div>

    <!-- Form -->
    <form
      action="{% url 'update_k8s_config' %}"
      method="post"
      class="k8s-form d-none">
      {% csrf_token %}
      <div class="row my-1">
        <strong class="col col-md-3">K8s server URL</strong>
        <span class="col col-md-9">
          <input type="text" name="k8s_server_url" class="form-control col col-md-9" {% if k8s_config.k8s_server_url %}value="{{ k8s_config.k8s_server_url }}"{% endif %}>
        </span>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">K8s client key</strong>
        <span class="col col-md-9">
          <input type="text" name="k8s_client_key" class="form-control col col-md-9" {% if k8s_config.k8s_client_key %}value="{{ k8s_config.k8s_client_key }}"{% endif %}>
        </span>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">K8s client certificate</strong>
        <span class="col col-md-9">
          <input type="text" name="k8s_client_certificate" class="form-control col col-md-9" {% if k8s_config.k8s_client_certificate %}value="{{ k8s_config.k8s_client_certificate }}"{% endif %}>
        </span>
      </div>
      <button type="button" class="btn btn-danger btn-sm mt-2 cancel-btn">Cancel</button>
      <button type="submit" class="btn btn-dark btn-sm mt-2">Submit</button>
    </form>
  </div>
</div>
